using Sepehr.ApiGateway.Partners.Contracts.Flight.ChangedSchedulePassengers.V1.Charter.Get.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.ChangedSchedulePassengers.V1.Charter.Get.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.ChangedSchedulePassengers.WebApi
{
    public class CharterGetApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/ChangedSchedulePassengers/V1/Charter/Get",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
